ViewDefinitionNotificationsUsersAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ViewDefinitionNotificationsUsersAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class ViewDefinitionNotificationsUsersAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ViewDefinitionNotificationsAction
                  org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ViewDefinitionNotificationsUsersAction

All Implemented Interfaces:
  NotificationsAction

    public class ViewDefinitionNotificationsUsersAction

extends ViewDefinitionNotificationsAction

View an alert definition -- notified roles.

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ViewDefinitionNotificationsUsersAction()`

Method Summary
`int` | `getNotificationType()`
`protected PageList` | `getPageList(int sessionID, org.hyperic.hq.bizapp.shared.AuthzBoss ab, EmailActionConfig ea, PageControl pc)`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ViewDefinitionNotificationsAction
`execute`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewDefinitionNotificationsUsersAction

    public ViewDefinitionNotificationsUsersAction()

Method Detail

### getNotificationType

    public int getNotificationType()

### getPageList

    protected PageList getPageList(int sessionID,
                                   org.hyperic.hq.bizapp.shared.AuthzBoss ab,
                                   EmailActionConfig ea,
                                   PageControl pc)
                            throws javax.ejb.FinderException,
                                   SessionTimeoutException,
                                   SessionNotFoundException,
                                   PermissionException,
                                   java.rmi.RemoteException

  Specified by:
    `getPageList` in class `ViewDefinitionNotificationsAction`
  Throws:
    `javax.ejb.FinderException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.